
package com.kxs.daemon.quartz.task;

import com.kxs.common.core.constant.SecurityConstants;
import com.kxs.daemon.quartz.constants.SkyQuartzEnum;
import com.kxs.llb.mech.api.feign.RemoteLlbUserService;
import lombok.RequiredArgsConstructor;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;


/**
 * 商户端任务
 *
 * @author 没秃顶的码农
 * @date 2024-09-10
 */
@Slf4j
@Component("merchant")
@RequiredArgsConstructor
public class MerchantTask {

	private final RemoteLlbUserService remoteLlbUserService;

	/**
	 * 统计每个设备的日用量
	 */
	@SneakyThrows
	public String queryDeviceDayUsedTask(String para) {

		remoteLlbUserService.queryDeviceDayUsedTask(SecurityConstants.FROM_IN);
		return SkyQuartzEnum.JOB_LOG_STATUS_SUCCESS.getType();
	}

	/**
	 * 查询卡天用量
	 */
	@SneakyThrows
	public String queryCardDayUsedTask(String para) {

		remoteLlbUserService.queryCardDayUsedTask(SecurityConstants.FROM_IN);
		return SkyQuartzEnum.JOB_LOG_STATUS_SUCCESS.getType();
	}

}
